> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vidgo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# FLUX 3 Max 图生视频

> FLUX 3 Max 图生视频 API 将起始图片（可选结束图片）生成 5–20 秒、720p 或 1080p 的视频，并可输出原生音频。

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询任务状态](https://docs.vidgo.ai/zh/api-manual/task-management/status.md)接口获取结果。

FLUX 3 Max 图生视频将一张起始图片生成 5–20 秒、720p 或 1080p 的视频。再加一张图片时，模型会把它当作结束帧，生成连接两帧的运动。除非手动关闭，音频会在同一次生成中输出。

FLUX 3 Max 是 fal 与 Black Forest Labs 合作、在 FLUX 3 视频基座上后训练的视频模型。Vidgo 提供三个 model ID：[文生视频](https://docs.vidgo.ai/zh/api-manual/video-series/blackforestlabs-flux-3-max-text-to-video.md)、[图生视频](https://docs.vidgo.ai/zh/api-manual/video-series/blackforestlabs-flux-3-max-image-to-video.md)和[关键帧生视频](https://docs.vidgo.ai/zh/api-manual/video-series/blackforestlabs-flux-3-max-keyframes-to-video.md)。

## 模型

* **blackforestlabs/flux-3-max/image-to-video** — FLUX 3 Max 图生视频，使用起始帧和可选的结束帧。

## 功能

* 以一张起始帧图生视频。
* 首尾帧控制：第二张图片决定视频的结束画面。
* 时长为 5 到 20 秒的整数，720p 或 1080p。
* 八种宽高比；`auto` 跟随第一张图片。
* 默认开启原生音频。

## 输入模式

* **起始帧**：`image_urls` 传一张图片，视频从该图片开始。
* **起始帧加结束帧**：`image_urls` 传两张图片，第一张为开头，第二张为结尾。

## 必填参数

* `image_urls`（string\[]）：一到两个公开 HTTP(S) 图片 URL（PNG、JPEG 或 WebP）。顺序有意义：起始帧在前，结束帧在后。
* `prompt`（string）：画面如何运动、镜头运动，以及开启 `sound` 时的声音。不能为空白。

## 可选参数

* `duration`（integer）：输出时长，`5`–`20` 秒。默认 `5`。
* `resolution`（string）：`720p` 或 `1080p`。默认 `720p`。
* `aspect_ratio`（string）：`auto`、`21:9`、`2:1`、`16:9`、`4:3`、`1:1`、`3:4` 或 `9:16`。默认 `auto`。
* `sound`（boolean）：随视频生成原生音频。默认 `true`；设为 `false` 输出无声视频。

## 输出

任务完成后，[查询任务状态](https://docs.vidgo.ai/zh/api-manual/task-management/status.md)和回调内容的 `files` 数组中会返回一个 MP4 视频。

## 示例

* **仅起始帧**：一张人像图片配简短的运动提示词，`aspect_ratio: auto` 让视频保持图片比例。
* **起始帧加结束帧**：以关闭和打开的盒子作为两帧，生成 8 秒 1080p 无声视频，并提供 `callback_url`。

## 注意事项

* `image_urls` 最多两张图片。要在指定时间点放置更多图片，请用 [FLUX 3 Max 关键帧生视频](https://docs.vidgo.ai/zh/api-manual/video-series/blackforestlabs-flux-3-max-keyframes-to-video.md)。
* 图片必须能通过 HTTP(S) 公开访问，且不能内嵌凭证。上文未列出的字段（如 `keyframes`）会返回 400。
* 积分在提交时预扣，取决于 `resolution` 和 `duration`。文生视频、图生视频和关键帧生视频的费率相同，`sound` 不影响价格。任务失败会全额退还。当前费率见[定价页](https://vidgo.ai/apis/api-pricing)。
* 本模型没有 4K 档位、不支持 `seed`，输出最长 20 秒。


## OpenAPI

````yaml zh/api-manual/video-series/blackforestlabs-flux-3-max-image-to-video.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: Vidgo API - FLUX 3 Max 图生视频
  description: FLUX 3 Max 图生视频 API 将起始图片（可选结束图片）生成 5–20 秒、720p 或 1080p 的视频，并可输出原生音频。
  version: 1.0.0
servers:
  - url: https://api.vidgo.ai
    description: 生产环境
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      tags:
        - Video Series
      summary: FLUX 3 Max 图生视频
      description: >-
        只传本模型列出的 `input` 字段。其他字段（包括 `keyframes`）都会返回 400。图片 URL 必须是公开的 HTTP(S)
        地址，且不能内嵌凭证。
      operationId: submit_blackforestlabs_flux_3_max_image_to_video
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
                - input
              properties:
                model:
                  type: string
                  description: 模型 ID，填 `blackforestlabs/flux-3-max/image-to-video`。
                  example: blackforestlabs/flux-3-max/image-to-video
                callback_url:
                  type: string
                  format: uri
                  nullable: true
                  description: >-
                    可选的公开 HTTP(S) 地址，任务变为 `finished` 或 `failed` 时会收到 POST
                    请求。建议使用 HTTPS。省略、传 `null` 或空字符串即不发送回调。
                  example: https://your-domain.com/callback
                input:
                  type: object
                  required:
                    - image_urls
                    - prompt
                  properties:
                    image_urls:
                      type: array
                      items:
                        type: string
                        format: uri
                      minItems: 1
                      maxItems: 2
                      example:
                        - https://example.com/start.png
                      description: >-
                        一到两个公开 HTTP(S) 图片 URL（PNG、JPEG 或
                        WebP）。第一张为起始帧，可选的第二张为结束帧。
                    prompt:
                      type: string
                      minLength: 1
                      example: >-
                        The camera slowly pushes in as the lid of the box opens
                        and soft light spills out
                      description: 描述画面如何从起始帧开始运动（如有结束帧，如何过渡到结束帧），以及镜头运动和声音。不能为空白。
                    duration:
                      type: integer
                      minimum: 5
                      maximum: 20
                      default: 5
                      description: 输出时长，单位秒（整数）。
                    resolution:
                      type: string
                      enum:
                        - 720p
                        - 1080p
                      default: 720p
                      description: 输出分辨率，决定计费档位。
                    aspect_ratio:
                      type: string
                      enum:
                        - auto
                        - '21:9'
                        - '2:1'
                        - '16:9'
                        - '4:3'
                        - '1:1'
                        - '3:4'
                        - '9:16'
                      default: auto
                      description: 输出宽高比。`auto` 由模型决定：纯文本时为 16:9，有输入图片时跟随第一张图片的比例。
                    sound:
                      type: boolean
                      default: true
                      description: 在同一次生成中输出原生音频。设为 `false` 生成无声视频。不影响价格。
                  additionalProperties: false
                  description: 生成参数。
            examples:
              start_frame:
                summary: 仅起始帧
                value:
                  model: blackforestlabs/flux-3-max/image-to-video
                  input:
                    image_urls:
                      - https://example.com/portrait.png
                    prompt: >-
                      She turns toward the window and smiles as the curtains
                      move in the breeze, gentle push-in
                    duration: 5
                    resolution: 720p
                    aspect_ratio: auto
                    sound: true
              start_end_frame:
                summary: 起始帧加结束帧
                value:
                  model: blackforestlabs/flux-3-max/image-to-video
                  callback_url: https://your-domain.com/callback
                  input:
                    image_urls:
                      - https://example.com/box-closed.png
                      - https://example.com/box-open.png
                    prompt: >-
                      The lid lifts and the sneaker inside rises into a
                      spotlight, smooth orbit shot
                    duration: 8
                    resolution: 1080p
                    aspect_ratio: '16:9'
                    sound: false
      responses:
        '200':
          description: 任务已提交
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - data
                properties:
                  code:
                    type: integer
                    enum:
                      - 200
                    description: HTTP 状态码。
                  data:
                    type: object
                    required:
                      - task_id
                      - status
                      - created_time
                    properties:
                      task_id:
                        type: string
                        description: >-
                          任务
                          ID，用于[查询任务状态](/zh/api-manual/task-management/status)。
                      status:
                        type: string
                        enum:
                          - not_started
                        description: 任务的初始状态。
                      created_time:
                        type: string
                        format: date-time
                        description: 任务创建时间（ISO 8601）。
              example:
                code: 200
                data:
                  task_id: task-unified-1762160000-abc123
                  status: not_started
                  created_time: '2026-11-03T10:30:00'
        '400':
          description: 输入无效、字段不受支持、媒体无法访问或积分不足
          content:
            application/json:
              schema:
                type: object
                required:
                  - detail
                properties:
                  detail:
                    oneOf:
                      - type: string
                      - type: object
                        additionalProperties: true
                      - type: array
                        items: {}
                    description: 错误信息。
        '401':
          description: 凭证无效
          content:
            application/json:
              schema:
                type: object
                required:
                  - detail
                properties:
                  detail:
                    oneOf:
                      - type: string
                      - type: object
                        additionalProperties: true
                      - type: array
                        items: {}
                    description: 错误信息。
        '403':
          description: 拒绝访问
          content:
            application/json:
              schema:
                type: object
                required:
                  - detail
                properties:
                  detail:
                    oneOf:
                      - type: string
                      - type: object
                        additionalProperties: true
                      - type: array
                        items: {}
                    description: 错误信息。
        '404':
          description: 模型未知或已停用
          content:
            application/json:
              schema:
                type: object
                required:
                  - detail
                properties:
                  detail:
                    oneOf:
                      - type: string
                      - type: object
                        additionalProperties: true
                      - type: array
                        items: {}
                    description: 错误信息。
        '408':
          description: 请求超时
          content:
            text/plain:
              schema:
                type: string
              example: Request timeout
        '422':
          description: JSON 无效或请求体不是对象
          content:
            application/json:
              schema:
                type: object
                required:
                  - detail
                properties:
                  detail:
                    oneOf:
                      - type: string
                      - type: object
                        additionalProperties: true
                      - type: array
                        items: {}
                    description: 错误信息。
        '429':
          description: 超出速率限制或 API Key 积分限额
          content:
            application/json:
              schema:
                type: object
                required:
                  - detail
                properties:
                  detail:
                    oneOf:
                      - type: string
                      - type: object
                        additionalProperties: true
                      - type: array
                        items: {}
                    description: 错误信息。
        '500':
          description: 内部错误
          content:
            application/json:
              schema:
                type: object
                required:
                  - detail
                properties:
                  detail:
                    oneOf:
                      - type: string
                      - type: object
                        additionalProperties: true
                      - type: array
                        items: {}
                    description: 错误信息。
        '502':
          description: 无法创建上游生成任务
          content:
            application/json:
              schema:
                type: object
                required:
                  - detail
                properties:
                  detail:
                    oneOf:
                      - type: string
                      - type: object
                        additionalProperties: true
                      - type: array
                        items: {}
                    description: 错误信息。
        '503':
          description: 所请求的模型暂时不可用
          content:
            application/json:
              schema:
                type: object
                required:
                  - detail
                properties:
                  detail:
                    oneOf:
                      - type: string
                      - type: object
                        additionalProperties: true
                      - type: array
                        items: {}
                    description: 错误信息。
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证


        获取 API Key：


        进入 **仪表盘 → API 密钥**（[API Key
        管理页面](https://vidgo.ai/apis/dashboard/api-key)）获取你的 API Key


        在请求头中添加：


        ```

        Authorization: Bearer VIDGO_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.